local Mod = ...

T={
	{"FORAGING_TREE_OAK","PREFAB_TREE_OAK",2.1},
	{"FORAGING_TREE_PINE","PREFAB_TREE_PINE",1.8},
	{"FORAGING_TREE_POPLAR","PREFAB_TREE_POPLAR",2.1},
	{"FORAGING_TREE_SYCAMORE","PREFAB_TREE_SYCAMORE",2.1}
}

for _,v in ipairs(T) do
	Mod:registerPrefabComponent(
	v[2], 
	{ 
		DataType = "COMP_PLANTABLE", 
		MinSpaceBetweenPlant = 0.8 
	})
	
	Mod:register({
		DataType = "PLANTABLE",
		Id = v[1],
		Name = v[1].."_NAME",
		PlantPrefab = v[2],
		Icon = "ICON_RESOURCE_WOOD",
		MinimumScale = 0.8,
		MaximumScale = v[3]
	})
	

end

Mod:override({
	Id = "DEFAULT_BALANCING",
	PlantableList = {
		"FORAGING_TREE_OAK",
		"FORAGING_TREE_PINE",
		"FORAGING_TREE_POPLAR",
		"FORAGING_TREE_SYCAMORE"
	}
})